6.0.0-git
2019-04-25

[#7839] auth ldap driver does not use a scope search preference
Summary auth ldap driver does not use a scope search preference
Queue Horde Framework Packages
Queue Version HEAD
Type Enhancement
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester dom.lalot (at) gmail (dot) com
Created 2009-01-12 (3755 days ago)
Due
Updated 2009-04-04 (3673 days ago)
Assigned 2009-01-27 (3740 days ago)
Resolved 2009-04-04 (3673 days ago)
Milestone 3.3.4
Patch Yes

History
2009-04-04 09:39:15 Jan Schneider Comment #6
Assigned to Jan Schneider
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
Reply to this comment
Committed, thanks.
2009-01-27 14:47:58 Jan Schneider Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Priority ⇒ 2. Medium
Milestone ⇒ 3.3.4
Patch ⇒ Yes
 
2009-01-27 14:47:32 Jan Schneider Version ⇒ HEAD
Queue ⇒ Horde Framework Packages
 
2009-01-22 15:59:50 dom (dot) lalot (at) gmail (dot) com Comment #4
New Attachment: Nouveau Document texte.txt Download
Reply to this comment
Could you consolidate those suggestions into a patch?
I've got no feedback, but I joined a little patch



Here it is. Just conf.xml and ldap Auth



Dom
2009-01-12 16:24:20 dom (dot) lalot (at) gmail (dot) com Comment #3 Reply to this comment
Could you consolidate those suggestions into a patch?
Well,



Why not, but I have to modify lots of files. Just try a grep on 
ldap_search or ldap_list, you will see a big difference.

I hate php ldap api, in perl, scope is just a parameter.



Adding that functionality is not easy. I've seen there is a pear 
object choosing ldap function at object creation.



I'm waiting for your suggestions



Dom
2009-01-12 16:02:19 Chuck Hagenbuch Comment #2
State ⇒ Feedback
Reply to this comment
Could you consolidate those suggestions into a patch?
2009-01-12 13:16:34 dom (dot) lalot (at) gmail (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ auth ldap driver does not use a scope search preference
Queue ⇒ Horde Groupware Webmail Edition
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hello,



There's no possibilities to furnish a scope for an ldap search 
(horde/config/conf.xml has no value for that), and trying to force a 
value does not work either in composite



Using composite:

$conf['auth']['params']['drivers']['ldap_drv']['params']['scope'] ='one';



listUsers() is returning entries of a subtree search



lib/Horde/Auth/ldap.php



     function listUsers()

     {

         /* Connect to the LDAP server. */

         $result = $this->_connect();

         if (is_a($result, 'PEAR_Error')) {

             return $result;

         }



         $filter = $this->_getParamFilter();



There should be a test here (search or list)



         $search = @ldap_search($this->_ds, $this->_params['basedn'], $filter,

                                array($this->_params['uid']));



Old accounts are stored in ou=old,ou=people and scope should be one 
for us. It also speeds the search




Saved Queries